# $Id: pflogsumm.spec,v 1.14 2003/06/18 07:46:05 sjmudd Exp $

# Version information
%define pflogno 1.0.11
%define config_dir %{_sysconfdir}/postfix
%define cron_directory /etc/cron.daily

Name: pflogsumm
Group: System Environment/Daemons
URL: http://jimsun.linxnet.com/postfix_contrib.html
License: GPL
Version: %{pflogno}
Release: 1
Packager: Simon J Mudd <sjmudd@pobox.com>
Summary: Postfix Log Entry Summarizer
BuildArch: noarch
AutoReq: No
Source0: http://jimsun.linxnet.com/downloads/pflogsumm-%{pflogno}.tar.gz
Source1: etc-cron.daily-pflogsumm

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

# Determine packaging requirements
Requires: perl

%description
pflogsumm.pl is designed to provide an over-view of a Postfix mail server's
activity, with just enough detail to give the administrator a "heads up" for
potential trouble spots.  This package runs pflogsumm daily before the
mail logs are rotated, sending a report to the local postmaster.

The binary and source rpms I produce are currently available at
	http://postfix.WL0.org/ftp/, ftp://ftp.WL0.org
and the mirrors which can be found at the following URL:
	http://postfix.WL0.org/en/mirrors/

This package/specfile was built from pflogsumm.spec $Revision: 1.14 $,

%prep
umask 022

# pflogsumm now comes as a tar ball
%setup

%install
umask 022

[ %{buildroot} != "/" ] && {
    /bin/rm -rf   %{buildroot}
    /bin/mkdir -p %{buildroot}
}

# prepare daily cron script
/bin/mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
install %{_sourcedir}/etc-cron.daily-pflogsumm %{buildroot}%{_sysconfdir}/cron.daily/1pflogsumm

# prepare perl script
/bin/mkdir -p %{buildroot}%{_sbindir}
install -m 755 pflogsumm.pl %{buildroot}%{_sbindir}/pflogsumm.pl

# setup man page
mkdir -p %{buildroot}/%{_mandir}/man1/
install -m 644 pflogsumm.1 %{buildroot}%{_mandir}/man1/pflogsumm.1

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-, root, root)

%attr(0755, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/cron.daily/1pflogsumm
%attr(555,root,root) %{_sbindir}/pflogsumm.pl

%{_mandir}/*/*

%doc ChangeLog
%doc pflogsumm-faq.txt
%doc README
%doc rem_smtpd_stats_supp.pl
%doc ToDo

##############################################################################
# List of changes made to this package.
#
# Although old entries from the changelog have been removed most of them
# are available from my CVS repository of changes made to this file.
#

%changelog

* Wed Jun 18 2003 Simon J Mudd <sjmudd@pobox.com> 1.0.11-1
  - update to 1.0.11

* Mon May 05 2003 Simon J Mudd <sjmudd@pobox.com> 1.0.10-1
  - update to 1.0.10

* Thu Feb 20 2003 Simon J Mudd <sjmudd@pobox.com> 1.0.9-2
  - change URLs in %description

* Tue Feb 18 2003 Simon J Mudd <sjmudd@pobox.com> 1.0.9-1
  - update to pflogsumm-1.0.9

* Tue Feb 18 2003 Simon J Mudd <sjmudd@pobox.com> 1.0.8-2
  - fix a typo, missing space caused a problem in the 
    etc-cron.daily-pflogsumm script

* Mon Feb 17 2003 Simon J Mudd <sjmudd@pobox.com> 1.0.8-1
  - update to pflogsumm-1.0.8

* Tue Dec 31 2002 Simon J Mudd <sjmudd@pobox.com> 1.0.7-1
  - update to pflogsumm-1.0.7

* Mon Dec 30 2002 Simon J Mudd <sjmudd@pobox.com> 1.0.6-1
  - update to pflogsumm-1.0.6

* Mon Dec 23 2002 Simon J Mudd <sjmudd@pobox.com> 1.0.5-1
  - update to pflogsumm-1.0.5

* Fri Dec 06 2002 Simon J Mudd <sjmudd@pobox.com> 1.0.4-3
  - Add AutoReq: no to avoid dependencies on Date::Calc

* Thu Dec 05 2002 Simon J Mudd <sjmudd@pobox.com> 1.0.4-2
  - read input from MAILLOG if defined
  - remove warnings which appear on RH8 without Date::Calc isn't installed.
    This needs to be fixed properly.

* Mon Dec 02 2002 Simon J Mudd <sjmudd@pobox.com> 1.0.4-1
  - build first pflogsumm package
